%define upstream_name    B-Lint
%define upstream_version 1.20

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 8
License:    GPL+ or Artistic
Group:      Development/Perl
Summary:    Adds debugging stringification to B::
Source0:    https://cpan.metacpan.org/modules/by-module/B/%{upstream_name}-%{upstream_version}.tar.gz
Patch0:     B-Lint-1.20-Skip-a-bare-sub-test.patch
Url:        https://metacpan.org/release/%{upstream_name}

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Module::Pluggable)
BuildRequires: perl(if)
BuildRequires: perl-devel

BuildArch: noarch
Obsoletes: perl-B-Lint < 1.200.0-2

%description
The B::Lint module is equivalent to an extended version of the *-w* option
of *perl*. It is named after the program _lint_ which carries out a similar
process for C programs.

%prep
%autosetup -p1 -n %{upstream_name}-%{upstream_version}
# Install into architecture-agnostic path, CPAN RT#83049
sed -i '/PM *=>/,/}/d' Makefile.PL

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Thu Jun 26 2025 umeabot <umeabot> 1.200.0-8.mga10
+ Revision: 2198055
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 1.200.0-7.mga9
+ Revision: 1802782
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.200.0-6.mga8
+ Revision: 1493642
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 tv <tv> 1.200.0-5.mga7
+ Revision: 1266835
- Install into architecture-agnostic path (CPAN RT#83049)
+ umeabot <umeabot>
- Mageia 7 Mass Rebuild

* Sat Jun 18 2016 pterjan <pterjan> 1.200.0-4.mga6
+ Revision: 1022758
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 1.200.0-3.mga6
+ Revision: 970235
- Mageia 6 Mass Rebuild

* Wed Sep 30 2015 sander85 <sander85> 1.200.0-2.mga6
+ Revision: 885362
- Convert to noarch package

* Fri Jun 26 2015 sander85 <sander85> 1.200.0-1.mga6
+ Revision: 844096
- update to 1.20

* Wed Oct 15 2014 umeabot <umeabot> 1.170.0-6.mga5
+ Revision: 742655
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.170.0-5.mga5
+ Revision: 683591
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 1.170.0-4.mga5
+ Revision: 630823
- Rebuild for perl 5.20

* Mon Feb 10 2014 jquelin <jquelin> 1.170.0-3.mga5
+ Revision: 587903
- rebuild after perl 5.18.2

* Sat Oct 19 2013 umeabot <umeabot> 1.170.0-2.mga4
+ Revision: 525633
- Mageia 4 Mass Rebuild

* Fri May 31 2013 tv <tv> 1.170.0-1.mga4
+ Revision: 433840
- new release

* Wed May 29 2013 jquelin <jquelin> 1.130.0-5.mga4
+ Revision: 430551
- perl 5.18.0 rebuild

* Wed Mar 27 2013 jquelin <jquelin> 1.130.0-4.mga3
+ Revision: 405457
- perl 5.16.3 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.130.0-3.mga3
+ Revision: 363334
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 1.130.0-2.mga3
+ Revision: 250310
- rebuild for perl 5.16
+ kharec <kharec>
- update to 1.13

* Sat Jun 11 2011 sander85 <sander85> 1.120.0-5.mga2
+ Revision: 103570
- perl 5.14

* Fri Feb 18 2011 jquelin <jquelin> 1.120.0-4.mga1
+ Revision: 53572
- rebuild

* Sat Jan 22 2011 jquelin <jquelin> 1.120.0-3.mga1
+ Revision: 31726
- mageia rebuild
- imported package perl-B-Lint

